% Chapter 7 - Differential Equations.
% Program_7c - Solving simple differential equations.
% Copyright Birkhauser 2004. Stephen Lynch.

% Chemical kinetics (Example 8).
deqn=inline('.00713*(4-c(1))^2*(1-c(1)/2)','t','c');
[t,ca]=ode45(deqn,[0 400],0);
plot(t,ca(:,1))
axis([0 400 0 3])
fsize=15;
set(gca,'xtick',[0:100:400],'FontSize',fsize)
set(gca,'ytick',[0:1:3],'FontSize',fsize)
xlabel('t','FontSize',fsize)
ylabel('c(t)','FontSize',fsize)
hold off

% End of Program_7c.